The Mozilla Firefox Browser

MASTER firefox crash [@gtk_style_realize][@nsXULWindow::ShowModal]

Reported by Sitsofe Wheeler on 2006-12-05
6
Affects Status Importance Assigned to Milestone
Mozilla Firefox
Invalid
Unknown
firefox (Ubuntu)
Medium
Alexander Sack

Bug Description

After deciding that I had finished with firefox I clicked on the X at the top right hand corner of the window to close it. Before the "are you sure you want to close because you have tabs" window could fully appear firefox had crashed.

Sitsofe Wheeler (sitsofe) wrote :

Almost certainly a duplicate of other "Firefox 2 crash on close" bugs like these:
#72142: #71793: #71252: #70973: #70410: #69987: #69848: #67604: #67288: #66512:

How reproducible is this bug?:
I have yet to reproduce it.

Version information:
(Edgy)
firefox 2.0+0dfsg-0ubuntu3

Sitsofe Wheeler (sitsofe) wrote :

Reproducing the bug list here so they are autolinked:
Bug #72142, Bug #71793, Bug #71252, Bug #70973, Bug #70410, Bug #69987, Bug #69848, Bug #67604, Bug #67288, Bug #66512

I was initially skeptical of the changes that had been made to this bug (the "crash after theme change" when I am certain that I was not changing the theme, a different upstream product (Epiphany) to the one I was seeing the problem in (Firefox)).

The upstream bug has a comment ( http://bugzilla.gnome.org/show_bug.cgi?id=353503#c28 ) saying this:
"#20 0xb79e0a81 in reset_styles_idle (user_data=0x817fa08)
    at gtkicontheme.c:602

This indicates an icon theme change. That could be triggered by a theme change,
but also by a run of gtk-update-icon-cache (by installing a program or updating
with apt-get), or by installing or uninstalling a theme engine, or by a crash
of gnome-settings-daemon."

My backtrace contains a very similar call so yup, it looks like this is the problem. However I have checked my logs and I case where this happened and no packages had been updated, nor any themes installed. This suggests we in fact have two problems:
1. Firefox can't cope with a theme change after showing the totem plugin.
2. Something is crashing gnome-settings-daemon/spuriously sending out icon cache updates when none have happened.

I have 100% reproducible steps for 1 which I will attach.

Sitsofe Wheeler (sitsofe) wrote :

Description of the problem:
Using the back button after displaying a video using the totem-mozilla plugin and then changing the theme results in firefox crashing.

Steps to reproduce:
1. Start firefox .
2. Go to http://fedoraproject.org/wiki/RenderingProject/aiglx#head-7c28114d7bfca3fd27da422f9bd36de8f8d41703 .
3. Click on the "Minimization" link.
4. After the video has played press the back button at the top of the window.
5. Start gnome-theme-manager .
6. Change the theme from Human to Industrial Tango.

Expected results:
Window decoration and widgets to change shape/colour across all open gtk programs.

Actual results:
Decoration and widgets change in all gtk programs bar firefox. Firefox crashes with a segfault and prints the following in ~/.xsession-errors:
"
** Message: plugin_destroy
totemBasicPlugin dtor [0x8824858]

(Gecko:9018): Gdk-CRITICAL **: gdk_colormap_get_screen: assertion GDK_IS_COLORMAP (cmap)' failed

(Gecko:9018): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(Gecko:9018): Gdk-CRITICAL **: gdk_colormap_get_visual: assertion GDK_IS_COLORMAP (colormap)' failed
"

How reproducible is the problem?
It is reproducible 100% of the time.

Version information:
Ubuntu Edgy
firefox 2.0+0dfsg-0ubuntu3
libgtk2.0-0 2.10.6-0ubuntu1

Additional Information:
This bug is almost certainly a duplicate of Bug #72018 .

Andy Price (andy-price) wrote :

Thanks for your bug report. I can confirm that this bug occurs on an up-to-date 6.10 install (AMD64).

Changed in firefox:
status: Unconfirmed → Confirmed
Sitsofe Wheeler (sitsofe) wrote :
David Farning (dfarning) wrote :

Sitsofe,

Do you want to work on pushing this issue upstream? If you don't have time, I'll give it a try. I am kind of new at bug triage though.

Thanks
David

Changed in firefox:
status: Unknown → Confirmed
Sitsofe Wheeler (sitsofe) wrote :

David:

The good news is that chpe has already pushed this problem in to the upstream mozilla bugzilla. The bad news is that there is no upstream patch available for fixing the issue yet.

David Farning (dfarning) on 2007-01-21
Changed in firefox:
assignee: nobody → mozillateam
importance: Undecided → Medium
Alexander Sack (asac) wrote :

this crash report looks fine. It has to be investigated if this is really the theme change issue or a crash on close as the initial report suggested.

taking the bug to investigate if this is a dupe of the theme switch crash. Further, upstream bug needs to be fixed ... we don't want any gnome bugs. Thus setting back to need info for now

Changed in firefox:
assignee: mozillateam → asac
status: Confirmed → Needs Info
Sitsofe Wheeler (sitsofe) wrote :

Alexander:

Hey what's up? Why's this back in needinfo? What more information do you need to know?

By the way, this bug is almost certainly a dup of the aforementioned theme switcher bug however it was not caused by an explicit theme switch on my part. I was not installing software or changing themes when this happened but the stack trace is extremely similar. It's also hard to reproduce on demand but manifests itself when GTK dialogs are shown (e.g. the "are you sure you want to close the window" dialog or a GTK filechooser)

John Vivirito (gnomefreak) wrote :

Sitsofe thats more for him while hes working on it than "needing more info from anyone"

Sitsofe Wheeler (sitsofe) wrote :

Still here in Feisty:

Version Information:
Ubuntu Feisty
firefox 2.0.0.2+1-0ubuntu1

On Sat, Mar 03, 2007 at 03:58:11PM -0000, Sitsofe Wheeler wrote:
> Still here in Feisty:
>
> Version Information:
> Ubuntu Feisty
> firefox 2.0.0.2+1-0ubuntu1
>

same as for filepicker crash ... plesae try version in feisty preview archive
https://wiki.ubuntu.com/MozillaTeam/PreviewArchives

If you have amd64 let me know.

 - Alexander

Alexander Sack (asac) wrote :

On Sat, Mar 03, 2007 at 03:58:11PM -0000, Sitsofe Wheeler wrote:
> Still here in Feisty:
>
> Version Information:
> Ubuntu Feisty
> firefox 2.0.0.2+1-0ubuntu1
>

oh ... apparently people.ubuntu.com is down for the moment. Maybe try
later when its up again.

 - Alexander

Alexander Sack a écrit :
> On Sat, Mar 03, 2007 at 03:58:11PM -0000, Sitsofe Wheeler wrote:
>
>> Still here in Feisty:
>>
>> Version Information:
>> Ubuntu Feisty
>> firefox 2.0.0.2+1-0ubuntu1
>>
>>
>
> oh ... apparently people.ubuntu.com is down for the moment. Maybe try
> later when its up again.
>
> - Alexander
>
>
no, no it is answering :-)

Fb

fb Bonnet (fbonnet) wrote :

Alexander Sack a écrit :
> On Sat, Mar 03, 2007 at 03:58:11PM -0000, Sitsofe Wheeler wrote:
>
>> Still here in Feisty:
>>
>> Version Information:
>> Ubuntu Feisty
>> firefox 2.0.0.2+1-0ubuntu1
>>
>>
>
> same as for filepicker crash ... plesae try version in feisty preview archive
> https://wiki.ubuntu.com/MozillaTeam/PreviewArchives
>
> If you have amd64 let me know.
>
>
> - Alexander
>
>
in my case it is a dell server with 2 - 700 Mh Intel processors

Changed in firefox:
status: Confirmed → Rejected
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.